@import url("https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,200;9..40,300;9..40,400;9..40,500&family=Days+One&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");
:root {
  --white: #fff;
  --black: #000;
  --blue: #2478b7;
  --gray: #121617;
  --gray2: #6c7375;
  --orange: #c6441e;
  --text: #121212;
  --subtext: #898d99;
  --yellow: #f5ae0a;
}

@font-face {
  font-family: king;
  src: url(../assets/fonts/fype-co-kingandqueendemo-regular.otf);
}

body {
  font-family: "Poppins", sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

.nav {
  padding: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--white);
}

.nav .navlinks ul {
  list-style: none;
  display: flex;
  gap: 40px;
  align-items: center;
  margin-bottom: 0;
  padding-bottom: 0;
}
.nav .navlinks a {
  font-size: 15px;
  color: var(--text);
  text-decoration: none;
  font-family: "DM Sans", sans-serif;
  font-weight: 500;
}

/* hero section */
.hero {
  position: relative;
  padding-top: 80px;
  display: flex;
  padding-bottom: 80px;
}

.blueElipse {
  position: absolute;
  left: 0;
  bottom: -40px;
  width: 312px;
  height: 306px;
  flex-shrink: 0;
  border-radius: 506px;
  background: radial-gradient(
    50% 50% at 50% 50%,
    #0085e9 0%,
    rgba(255, 255, 255, 0) 100%
  );
  filter: blur(192px);
}
.redElipse {
  position: absolute;
  right: 0;
  top: 0;
  width: 320px;
  height: 364px;
  flex-shrink: 0;
  border-radius: 450px;
  background: radial-gradient(
    50% 50% at 50% 50%,
    #ef3b06 0%,
    rgba(255, 255, 255, 0) 100%
  );
  filter: blur(187px);
  z-index: -1;
}
.hero .right {
  margin-left: 30px;
}

.hero .right h2 {
  margin-top: 80px;
  color: #000;
  font-feature-settings: "clig" off, "liga" off;
  font-family: King;
  font-size: 48px;
  font-style: normal;
  font-weight: bold;
  line-height: 66px; /* 117.857% */
}

.hero .right p {
  margin-top: 24px;
  color: var(--orange);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 36px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px; /* 75% */
}

/* left */

.hero .left {
  position: relative;
}
.hero .left .path-blue {
  width: 550px;
  height: 130.68px;
  flex-shrink: 0;
  border: 1px solid var(--blue);
  position: absolute;
  z-index: -1;
  border-radius: 90%;
  transform: rotate(-40deg);
  display: flex;
  align-items: center;
}
.hero .left .path-red {
  width: 550px;
  height: 130.68px;
  flex-shrink: 0;
  border: 1px solid var(--orange);
  position: absolute;
  z-index: -1;
  border-radius: 90%;
  transform: rotate(40deg);
  display: flex;
  align-items: center;
}

.hero .left .path-blue .blueBall {
  position: relative;
  left: -20px;
}
.hero .left .path-red .redBall {
  position: relative;
  left: -20px;
}

/* about  */

.about {
  background-color: #373f51;
  padding: 50px;
}

.about h1 {
  text-align: center;
  font-family: king;
  color: #fff;
  text-align: center;
  font-feature-settings: "clig" off, "liga" off;
  font-size: 56px;
  font-style: normal;
  font-weight: 400;
  line-height: 66px; /* 117.857% */
}
.about p {
  text-align: center;
  color: #dadada;
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 32px; /* 139.13% */
  width: 70%;
  max-width: 90vw;
}

.about .text {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

.statics {
  display: flex;
  justify-content: center;
  gap: 60px;
  flex-wrap: wrap;
  margin-top: 40px;
}
.statics2 {
  margin-top: 80px;
}

.statics .card {
  padding: 10px 20px;
  border-radius: 30px;
  width: 340px;
  max-width: 90vw;
  background: #fff;
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.1),
    7px 7px 21px 0px rgba(0, 0, 0, 0.1), 27px 26px 38px 0px rgba(0, 0, 0, 0.09),
    61px 59px 51px 0px rgba(0, 0, 0, 0.05),
    109px 105px 61px 0px rgba(0, 0, 0, 0.01),
    171px 164px 66px 0px rgba(0, 0, 0, 0);
}

.statics .card h3 {
  color: var(--text);
  font-feature-settings: "clig" off, "liga" off;
  font-family: "Poppins", sans-serif;
  font-size: 22px;
  font-style: normal;
  font-weight: 600;
  line-height: 50px; /* 300% */
  text-transform: uppercase;
}
.statics .card p {
  color: var(--orange);
  font-family: "Poppins", sans-serif;
  font-size: 56px;
  font-style: normal;
  font-weight: 700;
  line-height: 66px; /* 117.857% */
  text-align: left;
  margin-left: 0;
}

.statics .web p {
  background: linear-gradient(113deg, #c6441e 0%, #5857f9 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.statics .clients p {
  color: var(--blue);
}
.statics .tech p {
  color: #7c2308;
}
.statics .clients p {
  color: #005798;
}

/* Projects */
.projects {
  padding: 50px;
}
.projects h1 {
  text-align: center;
  font-family: king;
  color: var(--black);
  text-align: center;
  font-feature-settings: "clig" off, "liga" off;
  font-size: 56px;
  font-style: normal;
  font-weight: bold;
  line-height: 66px; /* 117.857% */
}

.projectsCard {
  margin-top: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.projectsCard .card {
  width: 280px;
  height: 400px;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
  position: relative;
}

.projectsCard .card img {
  width: 100%;
  transition: 0.3s ease;
  filter: grayscale(0);
}
.projectsCard .card:hover img {
  transform: scale(1.1);
  filter: grayscale(0);
  transition: 0.3s ease;
}

.projectsCard .card .img .img2 {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 200px;
  left: 200px;
  opacity: 0;
  transition: 0.3s ease-in-out;
}
.projectsCard .card .img .img1 {
  position: absolute;
  opacity: 1;
  transition: 0.9s ease;
}
.projectsCard .card:hover .img .img2 {
  top: 0;
  left: 0;
  opacity: 1;
  transition: 0.3s ease;
}
.projectsCard .card:hover .img .img1 {
  scale: 1.2;
  opacity: 0;
  transition: 0.9s ease;
}

.projectsCard .card .projectDetails {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  text-align: center;
  padding: 10px;
  padding-top: 50%;
  color: var(--white);
  background-color: #00000049;
}
.projectsCard .card .projectDetails .projwctTitle {
  color: #fff;
  text-align: center;
  font-family: Arial;
  font-size: 22px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px;
}
.projectsCard .card .projectDetails .projectDesc {
  color: #fff;
  text-align: center;
  font-family: Arial;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 28px;
}

.projects .moreProjects button {
  display: flex;
  padding: 18px 36px;
  align-items: center;
  gap: 8px;
  border-radius: 36.55px;
  border: 1px solid #d4d4d4;
  background: transparent;
  color: #606060;
  text-align: center;
  font-feature-settings: "clig" off, "liga" off;
  /* Text single/200/Regular */
  font-family: DM Sans;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
}
.projects .explore {
  position: absolute;
  bottom: 40px;
}
.projects .explore button {
  border-radius: 4px;
  border: 2px solid #fff;
  opacity: 0.9;
  padding: 10px 26px 10px 27px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  color: #ffffff;
  font-weight: 300;
}

/* process */
.process {
  padding: 50px;
}
.process h1 {
  text-align: center;
  font-family: king;
  color: var(--black);
  text-align: center;
  font-feature-settings: "clig" off, "liga" off;
  font-size: 56px;
  font-style: normal;
  font-weight: bold;
  line-height: 66px; /* 117.857% */
}

.processMain h1 {
  color: var(--orange);
  text-align: left;
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 36px;
  font-style: normal;
  font-weight: 700;
  line-height: 38px; /* 105.556% */
}
.processMain h5 {
  color: var(--text);
  font-family: Poppins;
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px; /* 125% */ /* 105.556% */
}
.processMain p {
  color: var(--subtext);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  width: 70%; /* 166.667% */
}

.processMain {
  width: 900px;
  max-width: 90vw;
  position: absolute;
}
.processSection .steps {
  width: 400px;
  gap: 16px;
}
.processSection .steps span {
  color: var(--gray);
  font-family: "Days One", sans-serif;
  font-size: 80px;
  font-style: normal;
  font-weight: 600;
  margin-top: 0;
  line-height: 80px;
}

.processSection .steps h1 {
  color: #000;
  font-family: Poppins;
  font-size: 26px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  margin-bottom: 0;
  text-align: left;
}
.processSection .steps p {
  color: rgba(0, 0, 0, 0.6);
  font-family: Poppins;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.processSection .step1 {
  width: 300px;
  position: absolute;
  right: -50px;
  top: -350px;
}
.processSection .step2 {
  position: absolute;
  left: 45%;
  top: -150px;
}
.processSection .step3 {
  position: absolute;
  left: 8%;
  top: -30px;
}

/* tech */
.ourTech {
  padding-right: 0 !important;
  margin-top: 100px;
}

.ourTech .tech .left h1 {
  color: #000;
  text-align: left;
  font-feature-settings: "clig" off, "liga" off;
  font-family: king;
  font-size: 48px;
  font-style: normal;
  font-weight: bold;
  line-height: 66px; /* 117.857% */
}
.ourTech .tech .left {
  padding-left: 100px;
}

.ourTech .tech .left ul button {
  all: unset;
  border-radius: 8px;
  background: #e2f8ff;
  display: flex;
  width: 320px;
  padding: 16px 32px 16px 32px;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  color: var(--text);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 28px;
  font-style: normal;
  font-weight: 500;
  cursor: pointer;
}

.ourTech .tech .left ul button.active {
  border-radius: 8px;
  background: #ff3a00;
  color: #fff;
}

/* testinmonials */
.testimonials {
  margin-top: 100px;
}
.testimonials h1 {
  text-align: left;
}
.testimonials p {
  color: var(--gray);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 30px; /* 166.667% */
}

.testimonialCard {
  display: flex;
  width: 500px;
  border-radius: 20px;
  background-color: #fbfbfb;
  gap: 12px;
  align-items: center;
}
.testimonialCard p {
  color: #606060;
  font-feature-settings: "clig" off, "liga" off;
  /* Body/Default */
  font-family: DM Sans;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24x; /* 166.667% */
}

.testimonialCard .name {
  color: #606060;
  font-feature-settings: "clig" off, "liga" off;
  font-family: DM Sans;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: 10px; /* 100% */
  margin-bottom: 0;
  margin-top: 60px;
}

.testimonialCard .designation {
  color: #8f8f8f;
  font-feature-settings: "clig" off, "liga" off;

  /* Text single/100/Regular */
  font-family: DM Sans;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
  margin-top: 10px; /* 112.5% */
}

.swiper {
  padding-bottom: 50px;
}
.swiper .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
}
.swiper-pagination {
  position: absolute;
  text-align: left;
  transition: 0.3s opacity;
  transform: translate3d(0, 0, 0);
  z-index: 100;
}

.swiper-pagination-bullet {
  background-color: #d4d4d4;
  opacity: 1;
}
.swiper-pagination-bullet-active {
  background-color: #606060;
}

/* conytact */

.conatct {
  margin-top: 100px;
}
.conatct .heading {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.conatct .heading h1 {
  text-align: center;
  margin-bottom: 0;
}
.conatct p {
  color: var(--gray);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 30px; /* 166.667% */
  text-align: left;
  margin-left: -80px;
}

.formWrapper {
  width: 700px;
  border-radius: 25px;
  background: #f2f2f2;
  padding: 30px 60px;
}

.inputStack {
  display: flex;
  gap: 20px;
  align-items: center;
  margin-top: 40px;
}
.inputDiv {
  width: 100%;
}

.inputDiv label {
  display: block;
  color: var(--gray);
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 18px; /* 100% */
  margin-bottom: 8px;
  margin-left: 10px;
}
.inputDiv input,
.inputDiv textarea {
  width: 100%;
  border-radius: 50px;
  background: var(--white);
  outline: none;
  border: navajowhite;
  padding: 16px 12px;
  color: #6c7375;
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px; /* 100% */
}

.messgInput {
  margin-top: 40px;
}
.formWrapper button {
  all: unset;
  cursor: pointer;
  margin-top: 40px;
  display: flex;
  padding: 18px 36px;
  align-items: flex-start;
  gap: 8px;
  border-radius: 40px;
  background: linear-gradient(116deg, #02a1fa 0%, #026094 100%);
  color: var(--white);
  text-align: center;
  font-family: DM Sans;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 18px;
}

.formWrapper {
  position: absolute;
  left: 35%;
}

/* footer */
footer {
  margin-top: 280px;
  height: 400px;
  width: 100%;
  background: linear-gradient(179deg, #c6451f 0%, #2478b7 100%);
}
.footer {
  width: fit-content;
  padding-top: 50px;
}

.footer h1 {
  color: #fff;
  font-feature-settings: "clig" off, "liga" off;
  font-family: DM Sans;
  font-size: 34px;
  font-style: normal;
  font-weight: 700;
  line-height: 18px;
  margin-top: 18px; /* 52.941% */
  margin-bottom: 20px;
}

.footer p {
  color: #fff;
  font-feature-settings: "clig" off, "liga" off;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 30px; /* 166.667% */
  width: 350px;
}

.footer ul {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 20px;
  margin: 0;
  padding: 0;
  margin-top: 30px;
}
